/***************************************************************
 * Part     : I/O
 * Author   : 2019/05/03	nauzou
 */

#include "pio.h"

/********************************************************************
		ʊ֐
********************************************************************/
/*---------------------------------------------------------
 * Function :
 *  @I/O ̏sB
 */
void
init_pio()
{
	INTFLG	iflag;
	
	/* ݒ蒆͊荞݂֎~	*/
	iflag = irq_disable();
	
	MCUCR = (0 << BODS) | (0 << BODSE) | (0 << PUD) | (0 << IVSEL) | (0 << IVCE);
	
	/* |[gݒ	*/
	PORTB = 0x00;	/* N:				PB0/PCINT0/CLKO/ICP1									*/
	DDRB  = 0x00;	/* N:				PB1/PCINT1/OC1A											*/
	PINB  = 0x00;	/* N:				PB2/PCINT2/OC1B/~SS										*/
					/* N:				PB3/PCINT3/OC2A/MOSI									*/
					/* N:				PB4/PCINT4/MISO											*/
					/* N:				PB5/PCINT5/SCK											*/
					/* N:				PB6/PCINT6/TOSC1/XTAL1									*/
					/* N:				PB7/PCINT7/TOSC2/XTAL2									*/
	PORTC = 0x00;	/* N:				PC0/PCINT8/ADC0											*/
	DDRC  = 0x00;	/* N:				PC1/PCINT9/ADC1											*/
	PINC  = 0x00;	/* N:				PC2/PCINT10/ADC2										*/
					/* N:				PC3/PCINT11/ADC3										*/
					/* N:				PC4/PCINT12/ADC4/SDA									*/
					/* N:				PC5/PCINT13/ADC5/SCL									*/
					/* -:debugWIRE		PC6/PCINT14/~RESET/<dW>		debugWIRE					*/
	PORTD = 0x00;	/* -:USART_RXD		PD0/PCINT16/<RXD>			USART						*/
	DDRD  = 0x40;	/* -:USART_TXD		PD1/PCINT17/<TXD>			USART						*/
	PIND  = 0x00;	/* N:				PD2/PCINT18/INT0										*/
					/* N:				PD3/PCINT19/INT1/OC2B									*/
					/* N:				PD4/PCINT20/T0/XCK										*/
					/* N:				PD5/PCINT21/T1/OC0B										*/
					/* O:OUT_LED		PD6/PCINT22/AIN0/<OC0A>		LED							*/
					/* N:				PD7/PCINT23/AIN1										*/
	
	/* 荞݃tO𕜋A	*/
	irq_enable( iflag );
}
