/***************************************************************
 * Part     : 328 BASE
 * Author   : 2018/02/04	nauzou
 * Update   : 2019/01/14	nauzou
 *				USART ʐM֌Wǉ
 * Update   : 2019/05/03	nauzou
 *				I/O ֌Wǉ
 */

#include "std.h"
#include "pio.h"
#include "usart.h"

/********************************************************************
		[Jϐ
********************************************************************/
const PROGMEM char	on_str[]      = "On";
const PROGMEM char	off_str[]     = "Off";

/********************************************************************
		ʊ֐
********************************************************************/
/*---------------------------------------------------------
 * Function :
 *  @C[vB
 */
int
main()
{
	const char	*stat_str;
	
	init_pio();
	init_usart();
	
	irq_enable( IRQ_ENABLE );
	
	usart_puts_p( PSTR("LED test\n") );
	
    while( 1 ) {
    	/* R}h		*/
		switch( usart_getc() ) {
		  case	'0':	/* LED  Off	*/
		  	OUTP_LED = 0;
		  	stat_str = off_str;
		  	break;
		  case	'1':	/* LED  On	*/
		  	OUTP_LED = 1;
		  	stat_str = on_str;
		  	break;
		  default:		/* ̑̕R[h͖iwhile [v̐擪ցj	*/
		  	continue;
		}
		
		usart_printf_p( PSTR("LED %S\n"),stat_str );
	}
}
